Name:		xdelta
Version:	3.1.0
Release:	7
Summary:	VCDIFF/RFC 3284 flow incremental compression tool
License:	ASL 2.0
URL:		https://github.com/jmacd/xdelta
Source0:	https://github.com/jmacd/xdelta-devel/releases/download/v%{version}/xdelta3-%{version}.tar.gz

BuildRequires:	gcc, gcc-c++ ncompress xz-devel

Patch1: xdelta-3.0.6-man-page-day.patch

%description
Xdelta version 3 is a C library and command-line tool for delta
compression using VCDIFF/RFC 3284 streams.

%package_help


%prep
%autosetup -n %{name}3-%{version} -p2


%build
%configure
%make_build

%install
%make_install

install -m 0755 -D  xdelta3 %{buildroot}%{_bindir}
install -m 0644 -D  xdelta3.1 %{buildroot}%{_mandir}/man1

pushd %{buildroot}%{_bindir}
ln -s xdelta3 xdelta
popd

pushd %{buildroot}%{_mandir}/man1
ln -s xdelta3.1 xdelta.1
popd

%check
./xdelta3 test

%files
%defattr(-,root,root)
%doc README.md
%license COPYING
%{_bindir}/xdelta*

%files     help
%defattr(-,root,root)
%{_mandir}/man1/xdelta*

%changelog
* Fri Nov 22 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.1.0-7
- Package init
